<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<HTML>
<HEAD>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<TITLE>Cd Details</TITLE>
<LINK rel="stylesheet" type="text/css" href="theme/stylesheet.css"
	title="Style">
</HEAD>
<f:view>
	<BODY>
		<P><IMG border="0" src="theme/banner.jpg" width="600" height="75"></P>
		<H1><B>UXToWeb Transformation v1.1.0</B></H1>
		<HR/><B> </B>
		<h:form styleClass="form" id="cdDetailsForm">
		<h:panelGrid styleClass="panelGrid" id="grid2" columns="3" cellpadding="3">
    		
    		<!-- title                                   -->
			<h:outputLabel styleClass="outputLabel" for="title">
				<h:outputText value="Title:"></h:outputText>
			</h:outputLabel>
			<h:inputText styleClass="inputText" id="title" 
				value="#{cdManager.cd.title}"
				required="true">
			</h:inputText>
			<h:message styleClass="inputText_Error" for="title" />
    		
    		<!-- price                                   -->
			<h:outputLabel styleClass="outputLabel" for="price">
				<h:outputText value="Price:"></h:outputText>
			</h:outputLabel>
			<h:inputText styleClass="inputText" id="price" 
				value="#{cdManager.cd.price}"
				required="true">
			</h:inputText>
			<h:message styleClass="inputText_Error" for="price" />
    		
    		<!-- artist                                   -->
			<h:outputLabel styleClass="outputLabel" for="artist">
				<h:outputText value="Artist:"></h:outputText>
			</h:outputLabel>
			<h:inputText styleClass="inputText" id="artist" 
				value="#{cdManager.cd.artist}"
				required="true">
			</h:inputText>
			<h:message styleClass="inputText_Error" for="artist" />
    		
    		<!-- category                                   -->
			<h:outputLabel for="category" styleClass="label">
				<h:outputText value="Category"></h:outputText>
			</h:outputLabel>
			<h:selectOneRadio id="category" value="#{cdManager.cd.category}"
				immediate="true" onclick="submit()"
				valueChangeListener="#{CdDetails.categorySelected}">
				<f:selectItems value="#{CdDetails.categoryAll}" />
			</h:selectOneRadio>
			<h:message for="category" styleClass="errorText" />
  		</h:panelGrid>
		<h:panelGroup>
			<h:commandButton value="Add New" id="addNewButton" action="#{CdDetails.addNew}" rendered="#{CdDetails.addNewVisible}"></h:commandButton>
			<h:commandButton value="Update Cd" id="updateCdButton" action="#{CdDetails.updateCd}" rendered="#{CdDetails.updateCdVisible}"></h:commandButton>
		</h:panelGroup>
		<TABLE border="0" width="100%">
		<TBODY>
			<TR>
			<TD><A href="faces/cdCatalog.jsp" target="_self">Back</A></TD>
			<TD>null</TD>
		</TBODY>
		</TABLE>
		<HR/>
		</h:form>
	</BODY>
</f:view>
</HTML>
