package com.ibm.jps.cdshop.control;

import javax.faces.context.FacesContext;
import com.ibm.jps.cdshop.Cd;
import uxtoweb.control.CdManager;  
	
/**
 * CdCatalog
 */
public class CdCatalog {
	
	/** Bean Managers. **/
	private CdManager cdManager = null;

	/**
	 * @unmodifiable
	 */	
    public CdManager getCdManager() {
    	if (cdManager == null) {
    		cdManager = CdManager.getInstance();
    	}
        return cdManager;
    }

	/**
	 * @unmodifiable
	 */	
    public void setCdManager(CdManager cdManager) {
        this.cdManager = cdManager;
    }
	/**
	 * @modifiable
	 */	
    public String logoff() {
    	System.out.println(">>> logoff");
    	
    	// begin-user-code
    	// TODO Your code
    	// end-user-code	
    	
    	return "success";
    }
	/**
	 * @modifiable
	 */	
    public String back() {
    	System.out.println(">>> back");
    	
    	// begin-user-code
    	// TODO Your code
    	// end-user-code	
    	
    	return "success";
    }

	/**
	 * @modifiable
	 */	
	public String titleSelect() {
		System.out.println(">>> titleSelect");
        FacesContext.getCurrentInstance().getExternalContext().getSessionMap().put("origin", new String("title"));	
        Cd temp = (Cd) getCdManager().getCds().getRowData();
        temp = (Cd) getCdManager().getCdById(temp.getId());
		getCdManager().setCd(temp);
		
	    // begin-user-code
	    // TODO Your code
	    // end-user-code
    	
    	return "success";
    }

	/**
	 * @modifiable
	 */	
	public String addCd() {
		System.out.println(">>> addCd");
		String result = "success";
		FacesContext context = FacesContext.getCurrentInstance();
        context.getExternalContext().getSessionMap().put("origin", new String("addCd"));
		getCdManager().setCd(new Cd());

	    // begin-user-code
	    // TODO Your code
	    // end-user-code
    	
    	return result;
    }
    
    /**
     * @unmodifiable
     */
    public boolean isAddCdVisible() {
    	return true;
    }
}