package com.ibm.jps.cdshop.control;

import javax.faces.context.FacesContext;
import javax.faces.application.FacesMessage;
import uxtoweb.control.UserManager;
import com.ibm.jps.cdshop.User;  
	
/**
 * Logon
 */
public class Logon {

	/**
	 * @modifiable
	 */	
	public String logon() {
		System.out.println(">>> logon");
		String result = "success";
		FacesContext context = FacesContext.getCurrentInstance();
        context.getExternalContext().getSessionMap().put("origin", new String("logon"));
		User cur = UserManager.getInstance().readUser(UserManager.getInstance().getUser().getUsername());
        String password = UserManager.getInstance().getUser().getPassword();
        if (cur == null) {
            FacesMessage message = new FacesMessage();
			message.setSeverity(FacesMessage.SEVERITY_ERROR);
			message.setSummary("Invalid logon");
			message.setDetail("Invalid logon: No such user.");
			context.addMessage("logonForm:username", message);
        	result = "failure";
		} else if (!cur.getPassword().equals(password)) {
            FacesMessage message = new FacesMessage();
			message.setSeverity(FacesMessage.SEVERITY_ERROR);
			message.setSummary("Invalid logon");
			message.setDetail("Invalid logon: The password does not match the username.");
			context.addMessage("logonForm:password", message);     
        	result = "failure";
        } else {
        	UserManager.getInstance().setUser(cur);
        }

	    // begin-user-code
	    // TODO Your code
	    // end-user-code
    	
    	return result;
    }
    
    /**
     * @unmodifiable
     */
    public boolean isLogonVisible() {
    	return true;
    }
}