package uxtoweb.control;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Date;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;

import java.util.Collections;
import java.util.Comparator;
import uxtoweb.util.HbmUtil;
import org.hibernate.Query;
import org.hibernate.Session;

import com.ibm.jps.cdshop.Cd;
	
/**
 * WARNING!
 *
 * This class was generated automatically by the UXToWeb transformation. Do not 
 * attempt to modify it as any change will be permanently lost at the next 
 * execution of the transformation.
 */
public class CdManager {
	private static CdManager uniqueInstance = null;
	private Cd cd = null; // Current 
    private List cds = new ArrayList();
    private Map cdMap = new HashMap();
    private DataModel cdModel = new ListDataModel(); // Wrapper for cds

    {
    	uniqueInstance = this;
 		// Read cds from the database
	    List tempList = readCds();
	    for (int i = 0; i < tempList.size(); i++) {
	    	Cd temp = (Cd) tempList.get(i);
	    	addCd(temp);
	    }
   		cdModel.setWrappedData(cds);
    }

	public static CdManager getInstance() {
		if (uniqueInstance == null) {
			uniqueInstance = new CdManager();
		}
		return uniqueInstance;
	}

	public Cd getCd() {
		if (cd == null) {
			cd = new Cd();
		}
		return cd;
	}

	public void setCd (Cd cd) {
		this.cd = cd;
	}
	
    public Cd getCdById(String id) {
 		return (Cd) cdMap.get(id);
    }

    private String assignCdId() {
        return new Long((new Date()).getTime()).toString();
    }
    public void addCd(Cd cd) {
        cds.add(cd);
        cdMap.put(cd.getId(), cd);
    }
	
    public DataModel getCds(){
 		return cdModel;
    }
	
    public Cd readCd(String id) {
		Session session = HbmUtil.getSessionFactory().openSession();
		session.beginTransaction();
		Query q = session.createQuery("from Cd where id='" + id + "'");
		List result = new ArrayList();
		if (q != null) result = q.list();
		session.getTransaction().commit();
		session.close();
		if (result.isEmpty())
			return null;
		else
			return (Cd) result.get(0);
     }
    
    public List readCds() {
        Session session = HbmUtil.getSessionFactory().openSession();
        session.beginTransaction();

        Query q = session.createQuery("from Cd");
        List result = new ArrayList();
        if (q != null) result = q.list();

        session.getTransaction().commit();
        session.close();
        return result;
    }
    
    public void saveCd() {
    	// Retrieve the key. If it does not exist, assign one (if applicable)
    	String id = cd.getId();
    	if (id == null) {
    		cd.setId (assignCdId());
    	}
    	// Check if there is already an object with the same key
    	Cd temp = getCdById(id);
    	if (temp == null) {
        	addCd(cd);
	        Session session = HbmUtil.getSessionFactory().openSession();
	        session.beginTransaction();
	        session.save(cd);
	        session.getTransaction().commit();
	        session.close();
	    } else {
	    	System.err.println(">>> CdManager.saveCd: Invalid save request for existing Cd object with key " + id.toString());
       	}
    }  
    
    public void updateCd() {
    	String id = cd.getId();
    	if (id == null) {
	    	System.err.println(">>> CdManager.updateCd: Invalid update request for object with null key");
    	} else {
    		Cd temp = getCdById(id);
    		if (temp != null) {
		        Session session = HbmUtil.getSessionFactory().openSession();
		        session.beginTransaction();
		        session.update(cd);
		        session.getTransaction().commit();
		        session.close();
	    	} else {
	    		System.err.println(">>> CdManager.updateCd: Invalid update request for non-existent object with key " + id.toString());
	    	}
    	}
    }
	
    private transient final Comparator titleAscendingComparator = new Comparator() {
        public int compare(Object object1, Object object2) {
            try {
                String property1 = ((Cd) object1).getTitle();
                String property2 = ((Cd) object2).getTitle();
                return property1.toLowerCase().compareTo(property2.toLowerCase());
            } catch (Exception e) {
                return 0;
            }
        }
    };
    	 
    public String sortByTitle() {
    	Collections.sort(cds, titleAscendingComparator);
 		this.cdModel.setWrappedData(cds);
        return "sort";
    }
	
    private transient final Comparator artistAscendingComparator = new Comparator() {
        public int compare(Object object1, Object object2) {
            try {
                String property1 = ((Cd) object1).getArtist();
                String property2 = ((Cd) object2).getArtist();
                return property1.toLowerCase().compareTo(property2.toLowerCase());
            } catch (Exception e) {
                return 0;
            }
        }
    };
    	 
    public String sortByArtist() {
    	Collections.sort(cds, artistAscendingComparator);
 		this.cdModel.setWrappedData(cds);
        return "sort";
    }
	
    private transient final Comparator idAscendingComparator = new Comparator() {
        public int compare(Object object1, Object object2) {
            try {
                String property1 = ((Cd) object1).getId();
                String property2 = ((Cd) object2).getId();
                return property1.toLowerCase().compareTo(property2.toLowerCase());
            } catch (Exception e) {
                return 0;
            }
        }
    };
    	 
    public String sortById() {
    	Collections.sort(cds, idAscendingComparator);
 		this.cdModel.setWrappedData(cds);
        return "sort";
    }
}    