package com.ibm.jps.uxtoweb.frontend.custom;

import org.eclipse.core.resources.IMarker;
import org.eclipse.emf.query.conditions.Condition;
import org.eclipse.uml2.uml.Class;
import org.eclipse.uml2.uml.Property;

public class Property2DisplayFieldInputFilter extends Condition {

	@Override
	public boolean isSatisfied(Object object) {
		ModelUtil.log("Property2DisplayFieldInputFilter", object); //$NON-NLS-1$
		Property inProp = (Property) object;
		Class cl = (Class) inProp.getOwner();
		Class bean = ModelUtil.findMatchingBean(cl, inProp.getName());		
		if (bean != null) return true;
		ModelUtil.addMarker(inProp, "Attribute " + inProp.getName() + " in " + cl.getName()
				+ " doesn't have a parent class: attribute ignored. To correct this, add a dependency from "
				+ cl.getName() + " to the <<bean>> class containing " + inProp.getName() + ".", //$NON-NLS-1$
				IMarker.SEVERITY_ERROR);
		return false;
	}

}
