<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<HTML>
<HEAD>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<TITLE>Cd Catalog</TITLE>
<LINK rel="stylesheet" type="text/css" href="theme/stylesheet.css"
	title="Style">
</HEAD>
<f:view>
	<BODY>
		<P><IMG border="0" src="theme/banner.jpg" width="600" height="75"></P>
		<H1><B>UXToWeb Transformation v1.1.0</B></H1>
		<HR/><B> </B>
		<H2>CD Catalog</H2>
		<h:form styleClass="form" id="cdCatalogForm">
		<h:dataTable id="datatable1" value="#{cdManager.cds}" var="cdVar"
			rowClasses="oddRow, evenRow" headerClass="tableHeader">
			<h:column>
				<f:facet name="header">
					<h:panelGroup>
						<h:outputText value="Title" />
						<f:verbatim>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[</f:verbatim>
						<h:commandLink styleClass="smallLink"
							action="#{cdManager.sortByTitle}">
							<h:outputText id="titleSort" value="sort" />
						</h:commandLink>
						<f:verbatim>]</f:verbatim>
					</h:panelGroup>
				</f:facet>
				<h:commandLink action="#{CdCatalog.titleSelect}">
					<h:outputText value="#{cdVar.title}" />
				</h:commandLink>
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:panelGroup>
						<h:outputText value="Artist" />
						<f:verbatim>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[</f:verbatim>
						<h:commandLink styleClass="smallLink"
							action="#{cdManager.sortByArtist}">
							<h:outputText id="artistSort" value="sort" />
						</h:commandLink>
						<f:verbatim>]</f:verbatim>
					</h:panelGroup>
				</f:facet>
				<h:outputText value="#{cdVar.artist}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:panelGroup>
						<h:outputText value="Price" />
					</h:panelGroup>
				</f:facet>
				<h:outputText value="#{cdVar.price}" />
			</h:column>
		</h:dataTable>
		<br />
		<h:panelGroup>
			<h:commandLink action="#{CdCatalog.addCd}">
				<f:verbatim>Add CD</f:verbatim>
			</h:commandLink>
		</h:panelGroup>
		<TABLE border="0" width="100%">
		<TBODY>
			<TR>
			<TD><A href="faces/logon.jsp" target="_self">Logoff</A></TD>
			<TD>null</TD>
			<TR>
			<TD><A href="faces/home.jsp" target="_self">Back</A></TD>
			<TD>null</TD>
		</TBODY>
		</TABLE>
		<HR/>
		</h:form>
	</BODY>
</f:view>
</HTML>
