package com.ibm.jps.cdshop.control;

import javax.faces.context.FacesContext;
import uxtoweb.control.CdManager;
import uxtoweb.util.JavaUtil;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import javax.faces.event.ValueChangeEvent;
import javax.faces.model.SelectItem;  
	
/**
 * CdDetails
 */
public class CdDetails {
	/**
	 * @modifiable
	 */	
    public String back() {
    	System.out.println(">>> back");
    	
    	// begin-user-code
    	// TODO Your code
    	// end-user-code	
    	
    	return "success";
    }

    /**
     * Event Handler for a radiobutton category getting selected.
     *
     * @param event event data
	 * @modifiable
     */
    public void categorySelected(ValueChangeEvent event) {
        String value = (String) event.getNewValue();
	    // begin-user-code
	    // TODO Place here the code that needs executing when the user presses the radio button
	    // end-user-code  
        FacesContext context = FacesContext.getCurrentInstance();
        context.renderResponse();
    }

    /**
     * Returns the list of possible values for the radiobutton category 
     *
	 * @modifiable
	 */
     public List getCategoryAll() {
	    List list = new ArrayList();
	    list.add("Country Western");
	    list.add("RnB");
	    list.add("Rock");
	    list.add("Popular Music");
	    
	    // begin-user-code
	    // TODO Additional user code
	    // end-user-code

        return wrapAsGUIList(list);
    }

			
		
	/**
	 * @unmodifiable
	 */	
    private List wrapAsGUIList(List originalList) {
        List cats = new ArrayList();

        for (Iterator iter = originalList.iterator(); iter.hasNext();) {
            String s = (String) iter.next();
            SelectItem item = new SelectItem(s);
            cats.add(item);
        }

        return cats;
    }

	/**
	 * @modifiable
	 */	
	public String addNew() {
		System.out.println(">>> addNew");
		String result = "success";
		FacesContext context = FacesContext.getCurrentInstance();
        context.getExternalContext().getSessionMap().put("origin", new String("addNew"));
		CdManager.getInstance().saveCd();

	    // begin-user-code
	    // TODO Your code
	    // end-user-code
    	
    	return result;
    }
    
    /**
     * @unmodifiable
     */
    public boolean isAddNewVisible() {
		String s = (String) FacesContext.getCurrentInstance()
				.getExternalContext().getSessionMap().get("origin");
		return (s.equals("addCd"));
    }

	/**
	 * @modifiable
	 */	
	public String updateCd() {
		System.out.println(">>> updateCd");
		String result = "success";
		FacesContext context = FacesContext.getCurrentInstance();
        context.getExternalContext().getSessionMap().put("origin", new String("updateCd"));
		CdManager.getInstance().updateCd();

	    // begin-user-code
	    // TODO Your code
	    // end-user-code
    	
    	return result;
    }
    
    /**
     * @unmodifiable
     */
    public boolean isUpdateCdVisible() {
		String s = (String) FacesContext.getCurrentInstance()
				.getExternalContext().getSessionMap().get("origin");
		List temp = JavaUtil.convertToList("title, updateCd", ",");
		return (temp.contains(s));
    }
}