package com.ibm.jps.uxtoweb.frontend.custom;

import org.eclipse.core.resources.IMarker;
import org.eclipse.emf.query.conditions.Condition;
import org.eclipse.uml2.uml.Operation;

public class Operation2ActionInputFilter extends Condition {

	@Override
	public boolean isSatisfied(Object object) {
		ModelUtil.log("Operation2ActionInputFilter", object);
		Operation inOp = (Operation) object;
		if (inOp.getAppliedStereotype(Messages.useractionStereotype) != null) {
			if (ModelUtil.findMatchingBeanName(inOp).length() > 0) return true;
			ModelUtil.addMarker(inOp.getNamespace(), "The useraction " + inOp.getName() + " (in " + inOp.getNamespace().getName() + //$NON-NLS-1$ //$NON-NLS-2$
				") does not have a matching operation in a supplier bean. This useraction has been ignored.", //$NON-NLS-1$
				IMarker.SEVERITY_ERROR);							
		}
		return false;
	}

}
